Jump to content
Not connected, Your IP: 3.235.75.174
NTG-A

Eddie AUR package broken

Recommended Posts

The AUR package which was updated today seems kinda broken: https://aur.archlinux.org/packages/eddie-ui/

First of all a problem with the pkgbuild:

/var/tmp/pamac-build-user/eddie-ui/PKGBUILD: line 33: cd: too many arguments
==> ERROR: A failure occurred in build().
    Aborting...

If you fix the pkgbuild by replacing
cd *
with
cd "Eddie-$pkgver"
you get this client:
image.thumb.png.e399a7bc1803837fad46195679b2922e.png

Share this post


Link to post
7 hours ago, sumadog said:

Maybe topic should be marked "fixed"?


It's not fixed "upstream".

If it gets fixed, feel free to mark any post as best answer @everyone. :)

» I am not an AirVPN team member. All opinions are my own and are not to be considered official. Only the AirVPN Staff account should be viewed as such.

» The forums is a place where you can ask questions to the community. You are not entitled to guaranteed answer times. Answer quality may vary, too. If you need professional support, please create tickets.

» If you're new, take some time to read LZ1's New User Guide to AirVPN. On questions, use the search function first. On errors, search for the error message instead.

» If you choose to create a new thread, keep in mind that we don't know your setup. Give info about it. Never forget the OpenVPN logs or, for Eddie, the support file (Logs > lifebelt icon).

» The community kindly asks you to not set up Tor exit relays when connected to AirVPN. Their IP addresses are subject to restrictions and these are relayed to all users of the affected servers.

 

» Furthermore, I propose that your paranoia is to be destroyed. If you overdo privacy, chances are you will be unique amond the mass again.

Share this post


Link to post
20 hours ago, sumadog said:

Confirmed. @eburom fix works. Thank you. Maybe topic should be marked "fixed"?


I literally wrote in the post that this doesn't fix the broken UI...

Edit: Looks like it's not broken on all DEs. Gnome works, KDE not.

Edit2: For some reason it works when you start it from terminal with sudo.

Edit3: I just saw that eddie-ui-git was updated today and the PKGBUILD error is still there. Sorry, but this seems really unprofessional. This was reported more than 5 days ago.

Share this post


Link to post
On 4/7/2020 at 1:27 PM, eburom said:

I had to replace


cd * # First folder
with

cd Eddie-2.18.9 # First folder
In both lines 33 and 50 in PKGBUILD.

But it works fine for me.

Thanks, this works for me as well on XFCE. 🙂
I also installed the optional dependency stunnel to get rid of that SSL warning message at startup.

Share this post


Link to post
On 4/8/2020 at 9:32 PM, NTG-A said:

I literally wrote in the post that this doesn't fix the broken UI...

Edit: Looks like it's not broken on all DEs. Gnome works, KDE not.

Edit2: For some reason it works when you start it from terminal with sudo.

Edit3: I just saw that eddie-ui-git was updated today and the PKGBUILD error is still there. Sorry, but this seems really unprofessional. This was reported more than 5 days ago.

It Looks like it's been fixed, at least the building issue.
Don't know about the other GUI problem you had though.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...